CREATE procedure [C6StagingPeriodico].[RP_ST_MonitoraggioStorico]  
as  
begin   
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_MonitoraggioStorico',  
  GETDATE(),  
  'Elaborazione Trimestrale'  
 )  
 truncate table C6StagingPeriodico.RP_MonitoraggioStorico  
 INSERT INTO [C6StagingPeriodico].[RP_MonitoraggioStorico]  
    SELECT  
  idMonitoraggio,   
  chiaveClientePB,   
  dtAvvio,  
  ctvExt,  
  ctvInv,  
  ctvRis,  
  ctvLiq,  
  ctvPre,  
  ctvNa,  
  ctvCC,  
  partiteViaggianti,  
  [var],  
  copertura,  
  rischioCredito,  
  codiceProfilo,  
  stato,  
  dtSalvataggio,  
  classe_rischio_max,  
  var_max_profilo,  
  ctvself  
  --null AS ctvself  
 FROM [CONSUNI_PERIODICO].consulenzaUnica.dbo.MonitoraggioStorico  
    -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_MonitoraggioStorico' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO  
   WHERE  
    Nome = 'RP_ST_MonitoraggioStorico'  
  )  
END